Bug 63372 - anaconda "SysVinit" error/crash after setting root password
anaconda "SysVinit" error/crash after setting root password
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-04-12 21:42 EDT by usman
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-14 03:16:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda "SysVinit" error/crash dump. (41.33 KB, text/plain)
2002-04-12 21:43 EDT, usman
no flags Details

  None (edit)
Description usman 2002-04-12 21:42:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
After setting the root password in the installer and trying to go to the next 
screen, I get an unhandled exception and the installer crashes.  I've always 
queried the bug database for errors, but I couldn't find anything quite 
similar, so here's the new report.  I also have a dump from anaconda, though I 
don't see where I can attach it yet..

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start machine up with install CD#1, and start install (either regular 
install, or "linux ide=nodma" -- doesn't matter).
2. Select all defaults (except "system uses UTC" for time zone and "High 
security" for firewall).
3. Enter your zuper-sekkrit root password, verify, and innocently try to 
continue the installation.

Actual Results:  anaconda crashes, tells me to save the crash dump to a floppy 
and report it here.

Expected Results:  It should've gone on to the "Package Group Selection" screen.

Additional info:

Dual boot system w/ Win2K Pro in front on an NTFS partition, and 2.4 GB of 
unallocated free space in the next partition, if that matters.  Told the 
installer to put GRUB at the beginning of the /boot partition that it made for 
the install (not the MBR).

The lines in the anacdump.txt (where can I upload this?) that stood out to me, 
though I'm not exactly sure what they mean, are the following:

Traceback (innermost last):
[some details here]
KeyError: SysVinit

Local variables in innermost frame:
self: <comps.HeaderListFromFile instance at 856dea0>
item: SysVinit

.. and at the end, a bunch of "DriveReady SeekComplete" Errors on hdc.  Yes, 
the CDs are burned from the ISO on the ftp site, and I'm pretty sure the 
md5sums matched (my friend burned them for me, and he's pretty thorough).  At 
least assume they do.

I have conistently had problems with the installer, and this is just one of 
three main errors I usually get.  I've actually gotten further into the 
installation process than this step before, but never past the saving of the 
installation image to the hard disk (i.e., some error like "not enough drive 
space?" even though there is).  I guess I'll file a seperate report for that 

Just please don't tell me I can't install Linux with my configuration -- if 
there are people who can install it on toasters and watches, I can get it up 
and running on my comp..
Comment 1 usman 2002-04-12 21:43:58 EDT
Created attachment 53692 [details]
anaconda "SysVinit" error/crash dump.
Comment 2 usman 2002-04-13 14:01:59 EDT
Just to add more details that may or may not matter:

After I tell it to auto-partition, I consistently get a message that the boot 
partition /boot may not meet booting constraints for my architecture.  I take 
this to mean that boot partitions past the nth partition might not boot.  I 
don't think this is very important right now, as I just want to get it 
installed first and see for myself.  I've always ignored this warning.

After it auto-partitions, the / partition has about 2.1 GB of space, and the 
other .3 GB are divvied up between the boot partition and the extended/swap 
partition(s).  There still should be enough space for an install with Gnome 
only, which I usually attempted when I actually got past the root password 
screen.  But I'll file another report for that one when I get there again..

I set the ntsf partition with Win2K Pro on it as the default boot image, and 
tell it to install the boot loader (GRUB) record on the first sector of hda1 
(the /boot partition).

The last non-error message I see on the screen after clicking "Next" on the 
root password screen is "Reading Package Info".  And that's when it crashes.

Wow.. do I win the "most detailed bug report" award, or what?
Comment 3 usman 2002-04-13 14:04:47 EDT
> I take this to mean that boot partitions past the nth partition might not boot

Er.. s/partition/cylinder/ ...
Comment 4 Jeremy Katz 2002-04-14 01:59:57 EDT
There are a lot of errors reading the CD-ROM in the syslog.  Are these CDs you
burned yourself?  If so, do the md5sums match those published on our ftp site?
Comment 5 usman 2002-04-14 03:16:15 EDT
I didn't burn them myself, my friend did, and the ISO's are on his computer, if 
he didn't delete them.  He's miles away and probably asleep by now, and I doubt 
that he even kept the ISO's.  I'm starting to think the burns were bad, and I 
remember him saying that the CDs he used were cheap.. I'm currently downloading 
the ISO's to an ext2 partition I just created and preparing to install from the 
HD.. *hopefully* this will work.

Before this case is closed -- if the ISO md5sums did match, is the problem 
definitely the CD?
Comment 6 Michael Fulbright 2002-04-15 18:22:09 EDT
Let us know if this is a problem when y'all reburn the CDs and check the md5sums.

Note You need to log in before you can comment on or make changes to this bug.